Description

While writing some unit tests, I've observed a potential issue with ofstd::ftoa(). When reading a value from a tag of VR: FD to

OFstring, the value represented by the string is incorrect, if the value of the tag is the upper boundary of double
(std::numeric_limits<double>::max). While the value in the tag is 1.7976931348623157e+308, the value of the string is
1.7976931348623167e+308. Now the string cannot be converted to double (e.g. using std::stod), because it exceeds the
representable maximum of double. The conversion seems to be correct when using sprintf instead of ftoa.

Reported by DCMTK forum user "FKupsch": https://forum.dcmtk.org/viewtopic.php?f=18&t=4806

History

#1 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#2 - 2024-07-27 18:26 - Marco Eichelberg

- Status changed from New

to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 30:00 h

Closed by commit #3a8e3bc8e.
